// solution_fragment.h            -*-c++-*-
//
//   Copyright (C) 2005 Daniel Burrows
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU General Public License as
//   published by the Free Software Foundation; either version 2 of
//   the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
// Code to convert an aptitude resolver solution to a fragment.

#ifndef SOLUTION_FRAGMENT_H
#define SOLUTION_FRAGMENT_H

class fragment;
class aptitude_universe;
template<class PackageUniverse>
class generic_solution;

fragment *solution_fragment(const generic_solution<aptitude_universe> &solution);

#endif // SOLUTION_FRAGMENT_H
