// vs_frame.h        -*-c++-*-
//
// A container that draws a frame around the widget it contains.
// (needs a lot more work to gracefully handle layout issues :) )

#ifndef VS_FRAME_H
#define VS_FRAME_H

#include "vs_bin.h"

class vs_frame:public vs_bin
{
  void layout_me();
public:
  vs_frame(vscreen_widget *w=NULL);

  /** \return the desired width of the frame.  A frame is 2 larger
   *   than its contents in every direction.
   */
  int width_request();

  /** Calculate the desired height of the frame.  A frame is 2 larger
   *  than its contents in every direction.
   *
   *  \param width the width of the frame
   *  \return the desired height
   */
  int height_request(int width);

  virtual void paint(const style &st);
};

#endif
